/* START GLOBAL CSS */
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700&display=swap');
:root {
  --main-gradient: #1d1d1d;
  --secondary-gradient: #242526;
  --tertiary-gradient: #3a3b3c;
  --border-color: #fff;
  --text-color: #fff;
  --text-muted-color: #9c9c9c;
  --text-active-color: #fff;
}
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Nunito', sans-serif;
}
a {
  text-decoration: none;
  color: var(--text-muted-color);
}
a:hover {
  color: var(--text-active-color);
}
body {
  background-color: var(--main-gradient);
}
.app-content {
  position: relative;
  max-width: 1300px;
  padding: 8px;
  padding-top: 30px;
  margin: auto;
}
.nav-links .drop-menu {
  padding-left: 0;
}
@media screen and (max-width: 970px) {
  .nav-links .drop-menu {
    padding-left: 20px;
  }
}
nav{
  position: fixed;
  z-index: 99;
  width: 100%;
  background: var(--secondary-gradient);
}
nav .wrapper{
  position: relative;
  max-width: 1300px;
  padding: 0px 30px;
  height: 70px;
  line-height: 70px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.wrapper .logo a{
  color: var(--text-color);
  font-size: 30px;
  font-weight: 600;
  text-decoration: none;
}
.wrapper .nav-links{
  display: inline-flex;
}
.nav-links li{
  list-style: none;
}
.nav-links li a{
  color: var(--text-color);
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  padding: 9px 15px;
  border-radius: 5px;
  transition: all 0.3s ease;
}
.nav-links li a:hover{
  background: var(--tertiary-gradient);
  color: var(--text-active-color);
}
.nav-links .mobile-item{
  display: none;
}
.nav-links .drop-menu{
  position: absolute;
  background: var(--secondary-gradient);
  width: 180px;
  line-height: 45px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 6px 10px rgba(0,0,0,0.15);
}
.nav-links li:hover .drop-menu,
.nav-links li:hover .mega-box{
  transition: all 0.3s ease;
  top: 70px;
  opacity: 1;
  visibility: visible;
}
.drop-menu li a{
  width: 100%;
  display: block;
  padding: 0 0 0 15px;
  font-weight: 400;
  border-radius: 0px;
}
.mega-box{
  position: absolute;
  left: 0;
  width: 100%;
  padding: 0px 0px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
}
.mega-box .content{
  background: var(--secondary-gradient);
  padding: 25px 20px;
  display: flex;
  width: 100%;
  justify-content: space-between;
  box-shadow: 0 6px 10px rgba(0,0,0,0.15);
}
.mega-box .content .row{
  width: calc(25% - 30px);
  line-height: 45px;
}
.content .row img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.content .row header{
  color: var(--text-color);
  font-size: 20px;
  font-weight: 500;
}
.content .row .mega-links{
  /* margin-left: -40px; */
  border-left: 1px solid rgba(255, 255, 255, 0.09);
}
.row .mega-links li{
  padding: 0 20px;
}
.row .mega-links li a{
  padding: 0px;
  padding: 0 20px;
  color: var(--text-color);
  font-size: 17px;
  display: block;
}
.row .mega-links li a:hover{
  color: var(--text-active-color);
}
.wrapper .btn{
  color: var(--text-color);
  font-size: 20px;
  cursor: pointer;
  display: none;
}
.wrapper .btn.close-btn{
  position: absolute;
  right: 30px;
  top: 10px;
}

@media screen and (max-width: 970px) {
  .wrapper .btn{
    display: block;
  }
  .wrapper .nav-links{
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    top: 0;
    left: -100%;
    background: var(--secondary-gradient);
    display: block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0,0,0,0.18);
    transition: all 0.3s ease;
  }
  /* custom scroll bar */
  ::-webkit-scrollbar {
    width: 10px;
  }
  ::-webkit-scrollbar-track {
    background: var(--secondary-gradient);
  }
  ::-webkit-scrollbar-thumb {
    background: var(--tertiary-gradient);
  }
  #menu-btn:checked ~ .nav-links{
    left: 0%;
  }
  #menu-btn:checked ~ .btn.menu-btn{
    display: none;
  }
  #close-btn:checked ~ .btn.menu-btn{
    display: block;
  }
  .nav-links li{
    margin: 15px 10px;
  }
  .nav-links li a{
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  .nav-links .drop-menu{
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }
  #lainnya-dropdown:checked ~ .drop-menu,
  #showMega:checked ~ .mega-box{
    max-height: 100%;
  }

  #prediksi-mega-menu:checked ~ .mega-box{
    max-height: 100%;
  }

  #live-draw-mega-menu:checked ~ .mega-box{
    max-height: 100%;
  }

  #result-mega-menu:checked ~ .mega-box{
    max-height: 100%;
  }

  #data-togel-mega-menu:checked ~ .mega-box{
    max-height: 100%;
  }

  #lainnya-mega-menu:checked ~ .mega-box{
    max-height: 100%;
  }

  .nav-links .desktop-item{
    display: none;
  }
  .nav-links .mobile-item{
    display: block;
    color: var(--text-color);
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }
  .nav-links .mobile-item:hover{
    background: var(--tertiary-gradient);
  }
  .drop-menu li{
    margin: 0;
  }
  .drop-menu li a{
    border-radius: 5px;
    font-size: 18px;
  }
  .mega-box{
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }
  .mega-box .content{
    box-shadow: none;
    flex-direction: column;
    padding: 20px 20px 0 20px;
  }
  .mega-box .content .row{
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255,255,255,0.08);
  }
  .mega-box .content .row:nth-child(1),
  .mega-box .content .row:nth-child(2){
    border-top: 0px;
  }
  .content .row .mega-links{
    margin-left: -40px;
    border-left: 0px;
    padding-left: 15px;
  }
  .row .mega-links li{
    margin: 0;
  }
  .content .row header{
    font-size: 19px;
  }
}
nav input{
  display: none;
}
.body-text{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
  padding: 0 30px;
}
.body-text div{
  font-size: 45px;
  font-weight: 600;
}
.prediksi-container {
  padding: 0.25rem;
  border: 2px solid var(--border-color);
  border-radius: 8px;
  background: var(--main-gradient);
}
.article-container {
  padding: 1rem;
  border: 2px solid var(--border-color);
  border-radius: 8px;
  background: var(--main-gradient);
  color: var(--text-color);
}
.keluaran-container {
  padding: 0.25rem;
  border: 2px solid var(--border-color);
  border-radius: 8px;
  background: var(--main-gradient);
}
.main-footer {
  background-color: var(--secondary-gradient);
  color: var(--text-color);
  padding: 2rem 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.main-footer a {
  text-decoration: none;
  color: var(--text-muted-color);
}
.main-footer a:hover {
  color: var(--text-active-color);
}
.footer-logo {
  font-weight: 600;
}
.footer-logo a {
  color: var(--text-color);
}
.footer-title {
  color: var(--text-color);
}
.footer-list-item a:hover::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 0.15rem;
  background-color: var(--text-active-color);
}
.footer-list {
  list-style: none;
  padding: 0;
  margin: 0;
}
.footer-list-item {
  position: relative;
  padding: 0.5rem;
}
.footer-list-item a {
  color: var(--text-color);
}
/* END GLOBAL CSS */
.prediction-list {
  background-color: var(--secondary-gradient);
  padding: 1rem;
  border-radius: 8px;
}

.prediction-img-wrapper {
  padding: 0.5rem;
}

.prediction-img-wrapper:hover > span {
  color: var(--text-active-color);
}

.prediction-img-wrapper:hover > img {
  transform: scale(1.03);
}

.prediction-img-wrapper img {
  border-radius: 8px;
  transition: all 0.1s ease-in-out;
}

.prediction-img-wrapper span {
  transition: all 0.1s ease-in-out;
  color: var(--text-color);
}

.breadcrumb-wrapper {
  display: flex;
}
.breadcrumb-wrapper ul {
  list-style: none;
}
.breadcrumb {
  display: flex;
  box-shadow: 0px 0px 5px rgba(255, 255, 255, 0.3);
  padding: 0.75rem 0.75rem;
  border-radius: 10px;
}
.breadcrumb-links {
  display: flex;
  column-gap: 0.5rem;
  align-items: center;
  margin: 0;
  padding: 0;
}
.breadcrumb-links > li:nth-child(n + 4) {
  display: none;
}
.breadcrumb-box {
  display: flex;
  align-items: center;
}
.breadcrumb-box svg {
  fill: var(--text-muted-color);
}
.breadcrumb-icon-home {
  fill: var(--text-muted-color);
}
.breadcrumb-box:hover > *:not(.breadcrumb-icon) {
  color: var(--text-active-color);
  fill: var(--text-active-color);
}
.breadcrumb-icon,
.breadcrumb-icon-home {
  flex-shrink: 0;
  width: 1rem;
  height: 1rem;
  color: var(--text-muted-color);
}
.breadcrumb-links li:first-child .breadcrumb-text {
  display: none;
}
.breadcrumb-text {
  margin-left: 0.5rem;
  font-size: 0.875rem;
  line-height: 1rem;
  font-weight: 500;
  color: var(--text-muted-color);
}
.breadcrumb-links li:last-child .breadcrumb-icon-home {
  fill: var(--text-active-color);
}
.breadcrumb-links li:last-child .breadcrumb-text {
  color: var(--text-active-color);
}
@media (min-width: 992px) {
  .breadcrumb-links > li:nth-child(n + 4) {
    display: block;
  }
  .breadcrumb-links li:first-child .breadcrumb-text {
    display: block;
  }
}

.pasaran-carousel-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

#pasaran-carousel {
  flex: 1 0 auto;
  width: 50%;
  margin: 0 auto;
}